
/**
 * Sitzplatz in einem Theater
 * 
 * @author Johannes Neumeyer
 * @version 1.0
 */
public class Sitzplatz
{
    /** Angabe, ob der Sitzplatz bereits gebucht ist */
    private boolean gebucht;

    /**
     * Konstruktor für Objekte der Klasse Sitzplatz
     */
    public Sitzplatz()
    {
        gebucht = false;
    }

    /**
     * Bucht den Sitzplatz, sofern dieser noch ungebucht ist,
     * und gibt dann true zurück. Falls er schon gebucht ist,
     * wird nichts unternommen und false zurückgegeben.
     * @return wahr, wenn der Sitzplatz gebucht werden konnte
     */
    public boolean Buchen()
    {
        if (gebucht)
        {
            return false;
        }
        else
        {
            gebucht = true;
            return true;
        }
    }
    
    /**
     * Gibt einen gebuchten Sitzplatz wieder frei.
     */
    public void Freigeben()
    {
        gebucht = false;
    }
}
