
/**
 * Kästchen des 3x3-Spielfelds von XXO (Tic Tac Toe)
 * (Kästchen in Abgrenzung zum in diesem Kontext
 * mehrdeutigen Begriff "Feld"!)
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
public class XXOKaestchen extends Rechteck
{    
    // oranges Inneres des Kästchens
    private Rechteck innen;
    
    /**
     * Legt das Kästchen an
     */
    public XXOKaestchen()
    {
        super();
        GrafikWelt.dieWelt.addObject(this, 0, 0);
        this.FarbeSetzen("schwarz");
        this.GrößeSetzen(50, 50);
        innen = new Rechteck();
        GrafikWelt.dieWelt.addObject(innen, 0, 0);
        innen.FarbeSetzen("orange");
        innen.GrößeSetzen(48, 48);       
    }

    @Override void PositionSetzen(int xNeu, int yNeu) {
        super.PositionSetzen(xNeu, yNeu);
        innen.PositionSetzen(this.x + 1, this.y + 1);
    }
}
